{% extends 'dashboard/dashboard_content.html' %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-file-text-o"></i>
                Consolidated Overall Attendance Report
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                {% load auth_extras %}
                {% if request.user|has_group:"principal" or request.user|has_group:"coe_staff" %}
                    <ul class="nav nav-tabs bar_tabs" id="myTab">
                        {% for dept in all_departments %}
                            {% if dept.pk == selected_department_pk %}
                                <li class="active">
                                    <a aria-expanded="true"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="">
                                    <a aria-expanded="false"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                {% endif %}

                <ul class="nav nav-tabs bar_tabs" id="myTab">
                    {% for sem in semesters %}
                        {% if sem.semester_instance.pk == selected_semester_pk %}
                            <li class="active">
                                <a aria-expanded="true"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li class="">
                                <a aria-expanded="false"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="tab-content">
                    <div class="col-md-offset-10">
                        <button type="button" class="btn btn-primary" id='genrate_pdf'>
                            Generate PDF
                        </button>
                    </div>

                    <div class="alert alert-success" role="alert">
                        <div><h4><strong>This report is from {{ current_start_date }}
                            to {{ current_end_date }} </strong></h4></div>
                    </div>
                    <div class="table-responsive">
                        {% if final_result %}
                            <table class="table table-striped text-center">
                                <thead>
                                <tr>
                                    <td>S.No.</td>
                                    <td>Roll Number</td>
                                    <td align="left">Name</td>
                                    <td>Total days</td>
                                    <td>Present days</td>
                                    <td>Absent days</td>
                                    <td>%</td>
                                </tr>
                                </thead>
                                <tbody>

                                {% for result in final_result %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ result.student_instance.roll_no }}</td>
                                        <td align="left">{{ result.student_instance }}</td>
                                        <td>{{ result.total_days }}</td>
                                        <td>{{ result.present_days }}</td>
                                        <td>{{ result.absent_days }}</td>
                                        <td>{{ result.percentage }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>

                            </table>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="department_tab"]').click(function () {
                current_department = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_department_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_department_pk }},
                    name: 'selected_department_pk'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_semester_pk }},
                    name: 'semester_pk'
                });
                //alert(this.id);
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_allotment_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');
                //alert($('this').textContent);

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_department_pk }},
                    name: 'selected_department_pk'
                });
                $hiddenInput.appendTo('form');


                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semester_pk'});
                //alert(this.id);
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();
            });
        });


        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                //alert('sid');
                window.location = '{% url 'consolidated_attendance_2012_pdf_report' semester_pk=selected_semester_pk %}';
            });
        });
    </script>

{% endblock %}